Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.color
Class DoubleArrayColorMap

    java.lang.Object
      |
      +--uk.ac.man.bioinf.gui.color.DoubleArrayColorMap

All Implemented Interfaces:
  ColorMap

public class DoubleArrayColorMap
extends Object
implements ColorMap

DoubleArrayColorMap.java This class takes a series of doubles, a list of colours and a sequence alignment and turns them into a colour map. The list of doubles is a colour for every element in every sequence. Numbering starts at 0, and DOES NOT include gaps. Hence element 0,0 of the array is the first element of the first sequence where ever it starts. Created: Thu Jun 21 16:42:36 2001

Version:
  $Id: DoubleArrayColorMap.java,v 1.1 2002/03/08 14:53:36 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`DoubleArrayColorMap(double[][] array, ColorList colors)`

Method Summary
`Color` | `getColorAt(SequenceAlignment sa, Element elem, SequenceAlignmentPoint point)` Returns the Color at a specific position in the alignment.
`String` | `getName()` Returns the name of this colour scheme.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleArrayColorMap

    public DoubleArrayColorMap(double[][] array,
                               ColorList colors)

Method Detail

### getColorAt

    public Color getColorAt(SequenceAlignment sa,
                            Element elem,
                            SequenceAlignmentPoint point)

  Description copied from interface: `ColorMap`
  Returns the Color at a specific position in the alignment. This method will do various things depending on the actual color map implemented.

  Specified by:
    `getColorAt` in interface `ColorMap`
  Parameters:
    `sa` - the sequence alignment
    `elem` - the element
    `point` - the location within the SA
  Returns:
    the color

### getName

    public String getName()

  Description copied from interface: `ColorMap`
  Returns the name of this colour scheme.

  Specified by:
    `getName` in interface `ColorMap`
  Returns:
    the name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD